Home Wiki > Dépôts GNOME
Sign up | Login

Dépôts GNOME

tagline: De openSUSE


Cette article explique comment installer des dépôts additionnels spécifiques au bureau GNOME.


GNOME:STABLE

Ce dépôt contient la version de GNOME livrée avec openSUSE, ainsi que toutes les mises à jour stables réalisées en amont par les développeurs GNOME. L'équipe GNOME d'openSUSE fournit un travail considérable pour intégrer ces mises à jour dans la dernière version d'openSUSE aussi vite que possible.


GNOME:Apps

GNOME:Apps est un dépôt qui regroupe des applications GNOME populaires (GIMP, Inkscape, Pidgin, etc.) mais qui ne suivent pas le cycle de distribution de GNOME. Il contient des paquets en cours de développement pour admission dans Tumbleweed et après ça, dans la prochaine version d'openSUSE.

Des projets GNOME peuvent aussi maintenir leurs propres dépôts pour leurs applications. Par exemple, bien que F-Spot fasse partie de GNOME et soit disponible dans les dépôts GNOME standards, le projet F-Spot distribue ses dernières versions stables dans GNOME:Apps:F-Spot, et ses dernières versions de développement dans GNOME:Apps:F-Spot:Unstable. Ces dépôts spécifiques à une application vous permettent de mettre à jour individuellement vos applications GNOME sans ajouter de dépôts lourds qui offrent des mises à jour pour tout l'écosystème GNOME. Une liste de ces dépôts est disponible ici.


Dépôts pour le développement

Avant d'ajouter ces dépôts, notez bien que :

Ainsi, pour satisfaire les dépendances, vous devez au moins ajouter le dépôt principal d'openSUSE Tumbleweed. Assurez-vous d'ajouter la chaîne complète de dépôts et de régler correctement les priorités pour que zypper dup sache quoi faire.

Attention Si vous n'utilisez pas la distribution en rolling release openSUSE Tumbleweed et si vous ne fixez pas correctement les priorités, vous risquez de faire une mise à niveau de toute votre distribution vers openSUSE Tumbleweed au lieu d'une mise à niveau de GNOME seulement.


GNOME:Factory

GNOME:Factory contient désormais la dernière version stable de GNOME : vous n'obtiendrez plus de logiciels de la branche instable de GNOME dans ce dépôt. Les paquets de ce dépôt sont destinés à être très rapidement intégrés à openSUSE Tumbleweed.


GNOME:Next

Attention L'utilisation de ce dépôt n'est pas recommandée pour les nouveaux utilisateurs ou pour une utilisation de tous les jours. Le développement se fait en continu, ce qui veut dire que vous rencontrerez des bugs, dont certains pourront casser votre système.

GNOME:Next est la branche de développement : les nouvelles versions de GNOME sont testées ici et préparées pour l'inclusion dans GNOME:Factory. Une fois que la version contenue dans GNOME:Next devient stable, elle est potentiellement portée vers la dernière release d'openSUSE.


Voir aussi